%define name vino
%define version 2.32.0
%define release %mkrel 1

%define __libtoolize    /bin/true

Summary: GNOME VNC server and client
Name: 	 %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/vino/%{name}-%{version}.tar.xz
License: GPLv2+
Group: Networking/Remote access
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnutls-devel
BuildRequires: libnotify-devel
BuildRequires: intltool
BuildRequires: libxtst-devel
BuildRequires: libxdamage-devel
BuildRequires: desktop-file-utils
BuildRequires: libunique-devel
Requires:	libunique0
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
The package contains an integrated GNOME VNC server.

%prep
%setup -q

%build
autoreconf -fis
%configure2_5x --enable-avahi

%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name --with-gnome
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-GNOME" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null
fi

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog docs/remote-desktop.txt docs/TODO
%_sysconfdir/gconf/schemas/vino-server.schemas
%_sysconfdir/xdg/autostart/vino-server.desktop
%_bindir/vino-passwd
%_bindir/vino-preferences
%_libexecdir/vino-server
%_datadir/vino
%_datadir/applications/vino-preferences.desktop
%_datadir/dbus-1/services/org.freedesktop.Telepathy.Client.Vino.service
%_datadir/telepathy/clients/Vino.client

%changelog
* Mon Sep 27 2010 siamer <siamer@wp.pl> 2.30.0-1pclos2010
-new version

* Sat Jan 02 2010 Texstar <texstar at gmail.com> 2.28.1-2pclos2010
- rebuild

* Fri Oct 23 2009 slick50 <lxgator at gmail.com> 2.28.1-1pclos2010
- 2.28.1

* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- system rebuild

* Sat Oct 03 2009 slick50 <lxgator@gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Fri May 22 2009 slick50 <lxgator@gmail.com> 2.26.2-1pclos2009
- new version 2.26.2

* Tue May 02 2009 siamer <siamer@wp.pl> 2.26.1-1pclos2009
- new version 2.26.1

* Wed Dec 03 2008 slick50 <lxgator@gmail.com> 2.24.1-2pclos2007
- initial pkg


